package com.willalp.apply.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.apply.domain.HsSysApply;

/**
 * 编码申请Service接口
 *
 * @author bjh
 * @date 2022-01-04
 */
public interface IHsSysApplyService extends IService<HsSysApply>
{
    /**
     * 查询编码申请
     *
     * @param id 编码申请主键
     * @return 编码申请
     */
    public HsSysApply selectHsSysApplyById(Long id);

    /**
     * 查询编码申请列表
     *
     * @param hsSysApply 编码申请
     * @return 编码申请集合
     */
    public List<HsSysApply> selectHsSysApplyList(HsSysApply hsSysApply);

    public Map<String,Object> selectCodeById(Long id);

    public List<Map<String,Object>> selectHsSysLevelList(String id);

    void updateSysCodename(String levelid,int i,String value);

    public List<Map<String,Object>> checkApplyData(String codeapply);

    /**
     * 新增编码申请
     *
     * @param hsSysApply 编码申请
     * @return 结果
     */
    public int insertHsSysApply(HsSysApply hsSysApply);

    /**
     * 修改编码申请
     *
     * @param hsSysApply 编码申请
     * @return 结果
     */
    public int updateHsSysApply(HsSysApply hsSysApply);

    /**
     * 批量删除编码申请
     *
     * @param ids 需要删除的编码申请主键集合
     * @return 结果
     */
    public int deleteHsSysApplyByIds(Long[] ids);

    /**
     * 删除编码申请信息
     *
     * @param id 编码申请主键
     * @return 结果
     */
    public int deleteHsSysApplyById(Long id);
}
